GET /deploy/journeys/{journey_id}
Get a deployment
Scope job:read. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
journey_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Deployment | object |
404 | deploy_journey_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/deploy/journeys/<journey_id>" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.deployments.get("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.deployments.get("<id>")